#include <qpoint.h>
#include <qmessagebox.h>
#include "myquerydialog.h"
#include <qapplication.h>

MyQueryDialog::MyQueryDialog(QWidget *parent, const char* name,bool modal,WFlags f)
  : QDialog( parent, name, modal, f )
{
 pt = new QPoint(500,380);
 setMinimumSize(250,280);
 setMaximumSize(250,280);
 move(*pt);
 
 //buttons
 close = new QPushButton(this);
 close->setText("&Close");
 close->resize(60,30);
 pt->setX(110);
 pt->setY(230);
 close->move(*pt);
 connect(close,SIGNAL(clicked()),this,SLOT(closeSlot()));

 //labels
 NameLabel = new QLabel(this);
 NameLabel->setGeometry(15,20,120,20);
 NameLabel->setText("");
 
 //listview
 qlv = new QListView(this);
 pt->setX(10);
 pt->setY(10);
 qlv->move(*pt);
 qlv->resize(220,200);
 qlv->addColumn("Date");
 qlv->setColumnWidth(0,215);
 qlv->setSorting(0);
 qlv->setAllColumnsShowFocus(TRUE); 
 
 //result of the exec()
 done(0);
}



void MyQueryDialog::closeSlot()
{
 //aa.quit();
 setResult(1);
 done(1);
}
