
#include <qapplication.h>
#include <sys/types.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/types.h>
#include <wait.h>
#include <stdio.h>


#include "mywidget.h"
#include "readfromfile.h"
#include "main.h"
#include "myclass.h"


int pid1, pid2;
void f1(int);
extern void f2(int);

struct Product prodr;
struct Product mass[1000];
ReadFromFileWidget *rfpw;
QApplication *a;
MyClass *myclass;


int main( int argc, char** argv)
{
 setpgrp();
 myclass = new MyClass();
 
 pid1 = getpid();
 pid2 = fork();
 if(pid2==0){
     pid2 = getpid();
     signal(SIGUSR2, f2);
     qt_app_create(argc,argv);
 }
 else {
 QApplication aa(argc,argv);
 a = &aa;
 rfpw = new ReadFromFileWidget();
 rfpw->setCaption("Second process");
 rfpw->show();
 aa.connect(&aa,SIGNAL(lastWindowClosed()),&aa,SLOT(quit()));

 signal(SIGUSR1, f1);
 
 for(;;) sleep(1);
 }
  
 return 0;
}

void f1(int signum)
{
  signal(SIGUSR1, f1);

  char zapr[50];   struct String m[1000];
  struct String stroka;

  myclass->openfileforread();
  int amount = myclass->readfromfileamount();
  myclass->readfromfilestr(&stroka);
  strcpy(zapr, stroka.str);
  int cnt=0;

  struct Product *p = new Product;
  rfpw->rv->clear();
  for(int j=0; j<amount; j++) {
    myclass->readfromfile(p);  
    rfpw->rv->insertItem(new QListViewItem(rfpw->rv,p->Name, p->Date, p->Amount, p->Price));
    if(strcmp(zapr, p->Name)==0) {
      strcpy(m[cnt++].str, p->Date);
    }
    
  }
  myclass->closefile();
  myclass->deletefile();  
  

  myclass=new MyClass();
  myclass->openfileforwrite();
  myclass->writetofileamount(cnt);
  
  for(int i=0; i<cnt; i++)
  {
     myclass->writetofilestr(m[i]);
  }
  myclass->closefile();

  kill(pid2, SIGUSR2);

  rfpw->show();
  a->exec();
  rfpw->hide();

}







