#ifndef MYDIALOG_H
#define MYDIALOG_H

#include <qpushbutton.h>
#include <qlineedit.h>
#include <qgroupbox.h> 
#include <qlabel.h>
#include <qdialog.h>
#include <qstring.h>

const int OK_BUTTON = 1;
const int CANCEL_BUTTON = 2;

class MyDialog: public QDialog
{
 Q_OBJECT
 public:
 MyDialog(QWidget *parent, const char* name, bool modal, WFlags f);
~MyDialog(){}
 QLineEdit* NameEdit;
 QLineEdit* DateEdit;
 QLineEdit* AmountEdit;
 QLineEdit* PriceEdit;
 
 private slots:
 void applySlot();
 void cancelSlot();
 
 private: 
 QPoint* pt; 
 QGroupBox* myGroup;
 QLabel* NameLabel;
 QLabel* DateLabel;
 QLabel* AmountLabel;
 QLabel* PriceLabel;
 QPushButton* apply;
 QPushButton* cancel;

 int isDate(char date[10]);
};

#endif
