
#ifndef MYWIDGET_H
#define MYWIDGET_H

#include "mydialog.h"
#include "myclass.h"
#include "myquerydialog.h"

#include <qmainwindow.h>
#include <qpushbutton.h>
#include <qlistview.h>
#include <qcombobox.h>
#include <qlabel.h>

class MyWidget: public QMainWindow
{
    Q_OBJECT
    
public:
 MyWidget();
~MyWidget();

 MyDialog*      edit_dialog;
 MyQueryDialog* query_dialog;

	    
private slots:		
void aboutSlot();
void loadSlot();
void editSlot();
void insSlot();
void delSlot();
void querySlot();
void exitSlot();

						
private:

void comboItemsUpdate(QComboBox* c,QListView* l);

QPushButton*   exitbut;
QPushButton*   aboutbut;
QPushButton*   loadbut;
QPushButton*   delbut;
QPushButton*   editbut;
QPushButton*   insbut;
QPushButton*   querybut;
QComboBox*     combo;
QLabel*        productlabel;
QPoint*        pt;
QListView*     lv;
//MyClass        MyCls;
};

#endif
