
#include "myclass.h"

#include <qapplication.h>
#include <qtextstream.h>
#include <qpainter.h>
#include <qpoint.h>
#include <qlistview.h>

#include "readfromfile.h"

struct Product prod;

const int ColName=0; 
const int ColDate=1;
const int ColAmount=2;	 
const int ColPrice=3;

ReadFromFileWidget::ReadFromFileWidget()
    : QMainWindow( 0, "main window ",WStyle_Customize|WStyle_Tool|WStyle_StaysOnTop)
//    WStyle_Customize|WStyle_StaysOnTop|WStyle_NoBorder)
{
   //main widget
   setMinimumSize(450,300);
   setFixedSize(450,300);
   pt = new QPoint(500,20);
   move(*pt);

   exitbut = new QPushButton(this);
   pt->setX(350);
   pt->setY(260);
   exitbut->move(*pt);
   exitbut->setText("E&xit");
   exitbut->resize(80,30);

   //connect(exitbut,SIGNAL(clicked()),qApp,SLOT(quit()));
   connect(exitbut,SIGNAL(clicked()),this,SLOT(quitSlot()));

   //listview
   rv = new QListView(this);
   pt->setX(10);
   pt->setY(30);
   rv->move(*pt);
   rv->setCaption("vl");
   rv->resize(426,200);
   rv->addColumn("Name of product");
   rv->addColumn("Date");
   rv->addColumn("Amount");
   rv->addColumn("Price");
   rv->setColumnWidth(ColName,190);
   rv->setColumnWidth(ColDate,90);
   rv->setColumnWidth(ColAmount,70);
   rv->setColumnWidth(ColPrice,70);
   rv->setSorting(ColName);
   rv->setAllColumnsShowFocus(TRUE);
 }

ReadFromFileWidget::~ReadFromFileWidget()
{
}

void ReadFromFileWidget::quitSlot()
{
 qApp->quit();
}


